<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE tiles-definitions PUBLIC 
    "-//Apache Software Foundation//DTD Tiles Configuration 3.0//EN" 
    "http://tiles.apache.org/dtds/tiles-config_3_0.dtd">
 
<tiles-definitions>

    <!-- 자료상세조회 -->
    <definition name="searchDetail"    template="/WEB-INF/tiles/tiles-layout-detail.jsp">
        <put-attribute name="header"    value="/WEB-INF/tiles/inc/header.jsp" />
        <put-attribute name="menu"      value="/WEB-INF/tiles/inc/menu.jsp" />
        <put-attribute name="footer"    value="/WEB-INF/tiles/inc/footer.jsp" />
    </definition>
    
    <!-- 일반화면용 -->
    <definition name="template"         template="/WEB-INF/tiles/tiles-layout.jsp">
        <put-attribute name="header"    value="/WEB-INF/tiles/inc/header.jsp" />
        <put-attribute name="menu"      value="/WEB-INF/tiles/inc/menu.jsp" />
        <put-attribute name="footer"    value="/WEB-INF/tiles/inc/footer.jsp" />
    </definition>
    
    <!-- 레이어팝업용 -->
    <definition name="popup"         template="/WEB-INF/tiles/tiles-layout-popup.jsp">
        <put-attribute name="header"    value="/WEB-INF/tiles/inc-popup/header-popup.jsp" />
        <put-attribute name="menu"      value="/WEB-INF/tiles/inc-popup/menu-popup.jsp" />
        <put-attribute name="footer"    value="/WEB-INF/tiles/inc-popup/footer-popup.jsp" />
    </definition>
    
    <!-- 다른화면에 포함되는 화면용 -->
    <definition name="sub"         template="/WEB-INF/tiles/tiles-layout-sub.jsp">
        <put-attribute name="header"    value="/WEB-INF/tiles/inc-sub/header-sub.jsp" />
        <put-attribute name="footer"    value="/WEB-INF/tiles/inc-sub/footer-sub.jsp" />
    </definition>
  
    <definition name="*/*/*searchItemDetail" extends="searchDetail">
          <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}/searchItemDetail.jsp" />
    </definition>
      
    <definition name="*/*SubPart" extends="sub">
        <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}SubPart.jsp" />
    </definition>
    
    <definition name="*/*/*SubPart" extends="sub">
          <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}/{3}SubPart.jsp" />
    </definition>
    
    <definition name="*/*Popup" extends="popup">
        <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}Popup.jsp" />
    </definition>
    
    <definition name="*/*/*Popup" extends="popup">
          <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}/{3}Popup.jsp" />
    </definition>
    
    <definition name="*" extends="template">
        <put-attribute name="main" value="/WEB-INF/jsp/{1}.jsp" />
    </definition>
    
    <definition name="*/*" extends="template">
        <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}.jsp" />
    </definition>
    
    <definition name="*/*/*" extends="template">
        <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}/{3}.jsp" />
    </definition>
    
    <definition name="*/*/*/*" extends="template">
        <put-attribute name="main" value="/WEB-INF/jsp/{1}/{2}/{3}/{4}.jsp" />
    </definition>
    
</tiles-definitions>
